'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.state = exports.initialState = undefined;

var _pointLess = require('point-less');

var _graftssReduxUtils = require('graftss-redux-utils');

var pathMap = {
  value: ['value'],
  keys: ['keys'],
  actionKeyHistoryIndex: ['keys', (0, _graftssReduxUtils.fromPayload)('keycode')],
  history: ['history']
};

var initialState = exports.initialState = {
  value: '',
  keys: {},
  history: []
};

var state = exports.state = (0, _pointLess.pointless)(pathMap);